
use evalexpr::{ EvalexprError, Value };

pub fn parse_radix(prefix: &str, base: u32, arg: &str) -> Result<Value, EvalexprError> {
	let parse = arg.strip_prefix(prefix).unwrap_or(arg);

	if let Ok(int) = i64::from_str_radix(parse, base) { Ok(int.into()) }
	else { Err(EvalexprError::CustomMessage("failed to parse integer from string".to_string())) }
}

